Skip to content

deployment_managed_service_restore

Restore a managed service from a backup snapshot

Tool

deployment_managed_service_restore

Restore a managed service from a backup snapshot

Restore a managed service from a backup snapshot

Behavior

HTTP
POST /deployment/managed-services/:id/restore

Arguments

Name
Type
Required
Description
id
string
•
No description in the catalog.
snapshotName
string
•
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
name
string
•
slug
string
•
engine
string
•
status
string
•
version
string
•
createdAt
string
•
productId
string
•
updatedAt
string
•
storageGiB
number
•
backupPolicy
object
•
databaseName
string
•
lastBackupAt
string
•
environmentId
string
•
lastErrorMessage
string
•

Try it

Restore a managed service from a backup snapshot.

When to use

Restore a managed service from a backup snapshot

Example

Ask your agent something like this:

Restore a managed service from a backup snapshot.

The agent will invoke deployment_managed_service_restore with these arguments:

{
  "id": "<id>",
  "snapshotName": "<snapshotName>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select